%global pkg_name %{name}

%global gem_name mail

Name: rubygem-%{gem_name}
Version: 2.8.1
Release: 1
Summary: Mail provides a nice Ruby DSL for making, sending and reading emails
Group: Development/Languages
License: MIT
URL: https://github.com/mikel/mail
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1: https://github.com/mikel/%{gem_name}/archive/refs/tags/%{gem_name}-%{version}.tar.gz

# start specfile generated dependencies
Requires: ruby(release)
Requires: ruby
Requires: ruby(rubygems)
Requires: rubygem(mini_mime) >= 0.1.1
BuildRequires: ruby(release)
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}
# end specfile generated dependencies

Obsoletes: tfm-ror52-rubygem-%{gem_name} <= 2.7.0

%description
A really Ruby Mail handler.


%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Nov 15 2023 xu_ping <707078654@qq.com> - 2.8.1-1
- Upgrade version to 2.8.1

* Mon Aug 16 2021  miaokaibo <miaokaibo@outlook.com> - 2.7.1-2
- Bug fix I443UD

* Thu Jun 24 2021  liqiuyu <liqiuyu@kylinos.cn> - 2.7.1-1
- Update version to 2.7.1

* Tue Sep 8 2020 geyanan <geyanan2@huawei.com> - 2.6.4-2
- fix build fail

* Wed Aug 19 2020 geyanan <geyanan2@huawei.com> - 2.6.4-1
- package init
